class BrPlaceMenu {
  String? id;
  String? menuTitle;
  String? pictureUrl;
  String? oobrPlaceName;

  BrPlaceMenu({this.id, this.menuTitle, this.pictureUrl, this.oobrPlaceName});

  BrPlaceMenu.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) this.id = json["id"];
    if (json["menuTitle"] is String) this.menuTitle = json["menuTitle"];
    if (json["pictureUrl"] is String) this.pictureUrl = json["pictureUrl"];
    if (json["oobrPlaceName"] is String) this.oobrPlaceName = json["oobrPlaceName"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["menuTitle"] = this.menuTitle;
    data["pictureUrl"] = this.pictureUrl;
    data["oobrPlaceName"] = this.oobrPlaceName;
    return data;
  }
}
