class BrPromotedVideoModel {
  String? oobrPlaceId;
  List<String>? videos;

  BrPromotedVideoModel({this.oobrPlaceId, this.videos});

  BrPromotedVideoModel.fromJson(Map<String, dynamic> json) {
    if (json["oobrPlaceId"] is String) this.oobrPlaceId = json["oobrPlaceId"];
    if (json["videos"] is List)
      this.videos = json["videos"] == null ? null : List<String>.from(json["videos"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["oobrPlaceId"] = this.oobrPlaceId;
    if (this.videos != null) data["videos"] = this.videos;
    return data;
  }
}
