
class HomeCity {
  int? id;
  String? label;
  String? countryCode;
  String? zip;
  int? numberOfResults;

  HomeCity({this.id, this.label, this.countryCode, this.zip, this.numberOfResults});

  HomeCity.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    countryCode = json["countryCode"];
    zip = json["zip"];
    numberOfResults = json["numberOfResults"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["countryCode"] = countryCode;
    _data["zip"] = zip;
    _data["numberOfResults"] = numberOfResults;
    return _data;
  }

  HomeCity copyWith({
    int? id,
    String? label,
    String? countryCode,
    String? zip,
    int? numberOfResults,
  }) => HomeCity(
    id: id ?? this.id,
    label: label ?? this.label,
    countryCode: countryCode ?? this.countryCode,
    zip: zip ?? this.zip,
    numberOfResults: numberOfResults ?? this.numberOfResults,
  );
}