class HomePurposeMedia {
  int? id;
  String? purpose;
  dynamic imageUrl;
  dynamic videoType;
  dynamic videoUrl;
  dynamic countryCode;
  dynamic languageCode;

  HomePurposeMedia(
      {this.id,
      this.purpose,
      this.videoType,
      this.imageUrl,
      this.videoUrl,
      this.countryCode,
      this.languageCode});

  HomePurposeMedia.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    purpose = json["purpose"];
    imageUrl = json["imageUrl"];
    videoType = json["videoType"];
    videoUrl = json["videoUrl"];
    countryCode = json["countryCode"];
    languageCode = json["languageCode"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["purpose"] = purpose;
    _data["imageUrl"] = imageUrl;
    _data["videoType"] = videoType;
    _data["videoUrl"] = videoUrl;
    _data["countryCode"] = countryCode;
    _data["languageCode"] = languageCode;
    return _data;
  }

  HomePurposeMedia copyWith({
    int? id,
    String? purpose,
    dynamic videoType,
    dynamic videoUrl,
    dynamic countryCode,
    dynamic languageCode,
  }) =>
      HomePurposeMedia(
        id: id ?? this.id,
        purpose: purpose ?? this.purpose,
        videoType: videoType ?? this.videoType,
        videoUrl: videoUrl ?? this.videoUrl,
        countryCode: countryCode ?? this.countryCode,
        languageCode: languageCode ?? this.languageCode,
      );
}
