class TicketDetail {
  String? ticketTitle;
  String? ticketContent;
  int? problemTypeId;
  int? plateformOriginId;
  String? customerTicketReference;
  String? countryCode;
  String? zip;
  int? v2ProductId;
  int? productId;
  int? platformId;
  String? label;
  int? id;
  String? arckipelTicketReference;
  int? statusId;
  int? createdAt;
  int? updatedAt;

  TicketDetail(
      {this.ticketTitle,
      this.ticketContent,
      this.problemTypeId,
      this.plateformOriginId,
      this.customerTicketReference,
      this.countryCode,
      this.zip,
      this.v2ProductId,
      this.productId,
      this.platformId,
      this.label,
      this.id,
      this.arckipelTicketReference,
      this.statusId,
      this.createdAt,
      this.updatedAt});

  TicketDetail.fromJson(Map<String, dynamic> json) {
    if (json["ticketTitle"] is String) {
      ticketTitle = json["ticketTitle"];
    }
    if (json["ticketContent"] is String) {
      ticketContent = json["ticketContent"];
    }
    if (json["problemTypeId"] is int) {
      problemTypeId = json["problemTypeId"];
    }
    if (json["plateformOriginId"] is int) {
      plateformOriginId = json["plateformOriginId"];
    }
    if (json["customerTicketReference"] is String) {
      customerTicketReference = json["customerTicketReference"];
    }
    if (json["countryCode"] is String) {
      countryCode = json["countryCode"];
    }
    if (json["zip"] is String) {
      zip = json["zip"];
    }
    if (json["v2ProductId"] is int) {
      v2ProductId = json["v2ProductId"];
    }
    if (json["productId"] is int) {
      productId = json["productId"];
    }
    if (json["platformId"] is int) {
      platformId = json["platformId"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
    if (json["id"] is int) {
      id = json["id"];
    }
    if (json["arckipelTicketReference"] is String) {
      arckipelTicketReference = json["arckipelTicketReference"];
    }
    if (json["statusId"] is int) {
      statusId = json["statusId"];
    }
    if (json["createdAt"] is int) {
      createdAt = json["createdAt"];
    }
    if (json["updatedAt"] is int) {
      updatedAt = json["updatedAt"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["ticketTitle"] = ticketTitle;
    _data["ticketContent"] = ticketContent;
    _data["problemTypeId"] = problemTypeId;
    _data["plateformOriginId"] = plateformOriginId;
    _data["customerTicketReference"] = customerTicketReference;
    _data["countryCode"] = countryCode;
    _data["zip"] = zip;
    _data["v2ProductId"] = v2ProductId;
    _data["productId"] = productId;
    _data["platformId"] = platformId;
    _data["label"] = label;
    _data["id"] = id;
    _data["arckipelTicketReference"] = arckipelTicketReference;
    _data["statusId"] = statusId;
    _data["createdAt"] = createdAt;
    _data["updatedAt"] = updatedAt;
    return _data;
  }
}
