/// serviceId : 13
/// timeStart : 1627406000
/// timeStop : 1627408000
/// realStart : 0
/// realStop : 0
/// averageTime : 2000
/// status : 1
/// statusName : "waiting for confirmation"
/// accessCode : ""
/// ticketUniqueId : "QT1627405402QIC5sPBB"
/// friendlyTicketId : "QT1627405402QIC5sPBB"
/// createdAt : 1627405402
/// updatedAt : 1627405402
/// position : 1

class TicketModel {
  int? serviceId;
  int? timeStart;
  int? timeStop;
  int? realStart;
  int? realStop;
  int? averageTime;
  int? status;
  String? statusName;
  String? accessCode;
  String? ticketUniqueId;
  String? friendlyTicketId;
  int? createdAt;
  int? updatedAt;
  int? position;

  TicketModel({
      this.serviceId, 
      this.timeStart, 
      this.timeStop, 
      this.realStart, 
      this.realStop, 
      this.averageTime, 
      this.status, 
      this.statusName, 
      this.accessCode, 
      this.ticketUniqueId, 
      this.friendlyTicketId, 
      this.createdAt, 
      this.updatedAt, 
      this.position});

  TicketModel.fromJson(dynamic json) {
    serviceId = json["serviceId"];
    timeStart = json["timeStart"];
    timeStop = json["timeStop"];
    realStart = json["realStart"];
    realStop = json["realStop"];
    averageTime = json["averageTime"];
    status = json["status"];
    statusName = json["statusName"];
    accessCode = json["accessCode"];
    ticketUniqueId = json["ticketUniqueId"];
    friendlyTicketId = json["friendlyTicketId"];
    createdAt = json["createdAt"];
    updatedAt = json["updatedAt"];
    position = json["position"];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["serviceId"] = serviceId;
    map["timeStart"] = timeStart;
    map["timeStop"] = timeStop;
    map["realStart"] = realStart;
    map["realStop"] = realStop;
    map["averageTime"] = averageTime;
    map["status"] = status;
    map["statusName"] = statusName;
    map["accessCode"] = accessCode;
    map["ticketUniqueId"] = ticketUniqueId;
    map["friendlyTicketId"] = friendlyTicketId;
    map["createdAt"] = createdAt;
    map["updatedAt"] = updatedAt;
    map["position"] = position;
    return map;
  }

}